classification
Title: Use generic license web page rather than requiring release-specific license pages
Type: Stage: resolved
Components: Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, georg.brandl, larry, ned.deily, pitrou, python-dev
Priority: normal Keywords:

Created on 2014-05-24 23:02 by ned.deily, last changed 2020-10-14 00:53 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22688 merged ned.deily, 2020-10-14 00:53
Messages (5)
msg219062 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-05-24 23:02
Currently the "license" command for the interactive interpreter falls back to attempting to download a release-specific license URL if LICENSE.txt is not found locally.  This adds the requirement to the release process to create a release-specific license file for each release.  However, as was implemented in Issue19043, we now use a generic license page in the documentation that no longer needs to be updated for each release (http://www.python.org/psf/license/ -> https://docs.python.org/2/license.html).  Suggest changing Lib/site.py to use the generic URL as the fallback, thus eliminating the need to create a redundant downloads license page for each release.


For 2.7:
diff --git a/Lib/site.py b/Lib/site.py
--- a/Lib/site.py
+++ b/Lib/site.py
@@ -436,7 +436,7 @@
     for supporting Python development.  See www.python.org for more information.""")
     here = os.path.dirname(os.__file__)
     __builtin__.license = _Printer(
-        "license", "See http://www.python.org/%.3s/license.html" % sys.version,
+        "license", "See http://www.python.org/psf/license/",
         ["LICENSE.txt", "LICENSE"],
         [os.path.join(here, os.pardir), here, os.curdir])

For 3.x:
diff --git a/Lib/site.py b/Lib/site.py
--- a/Lib/site.py
+++ b/Lib/site.py
@@ -373,7 +373,7 @@
         dirs.extend([os.path.join(here, os.pardir), here, os.curdir])
     builtins.license = _sitebuiltins._Printer(
         "license",
-        "See http://www.python.org/download/releases/%.5s/license" % sys.version,
+        "See http://www.python.org/psf/license/",
         files, dirs)

For PEP 101:
diff --git a/pep-0101.txt b/pep-0101.txt
--- a/pep-0101.txt
+++ b/pep-0101.txt
@@ -487,8 +487,6 @@
       ___ Comment out the "This is a preview release" or the "This is a
           production release" paragraph as appropriate

-      ___ Update the license in `download/releases/X.Y.Z/license`
-
       Note, you don't have to copy any release files into this directory;
       they only live on dinsdale in the ftp directory.
msg219063 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-05-24 23:03
Big +1
msg219067 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-05-25 00:18
Sounds like a pretty obvious improvement.
msg219445 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-31 06:48
New changeset 605349858156 by Ned Deily in branch '2.7':
Issue #21572: Change license command to fallback to generic license URL.
http://hg.python.org/cpython/rev/605349858156

New changeset 53fa2c9523d4 by Ned Deily in branch '3.4':
Issue #21572: Change license command to fallback to generic license URL.
http://hg.python.org/cpython/rev/53fa2c9523d4

New changeset 075c7affc05c by Ned Deily in branch 'default':
Issue #21572: Change license command to fallback to generic license URL.
http://hg.python.org/cpython/rev/075c7affc05c
msg219446 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-31 06:52
New changeset 151ac5aee7e7 by Ned Deily in branch 'default':
Issue #21572: No longer need to create release-specific license page.
http://hg.python.org/peps/rev/151ac5aee7e7
History
Date User Action Args
2020-10-14 00:53:16ned.deilysetpull_requests: + pull_request21659
2014-05-31 06:53:55ned.deilysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-05-31 06:52:42python-devsetmessages: + msg219446
2014-05-31 06:48:17python-devsetnosy: + python-dev
messages: + msg219445
2014-05-25 00:18:56pitrousetnosy: + pitrou
messages: + msg219067
2014-05-24 23:03:42benjamin.petersonsetmessages: + msg219063
2014-05-24 23:02:16ned.deilycreate